osmium::io::Compressor Class Referenceabstract

`#include <compression.hpp>`

Inheritance diagram for osmium::io::Compressor:
[legend]

## Public Member Functions

| Compressor (fsync sync)
virtual | ~Compressor () noexcept
virtual void | write (const std::string &data)=0
virtual void | close ()=0

## Protected Member Functions

bool | do_fsync () const

## Private Attributes

fsync | m_fsync

## Constructor & Destructor Documentation

osmium::io::Compressor::Compressor | ( | fsync | sync | ) |

inline explicit

virtual osmium::io::Compressor::~Compressor | ( |  | ) |

inline virtual noexcept

## Member Function Documentation

virtual void osmium::io::Compressor::close | ( |  | ) |

pure virtual

Implemented in osmium::io::NoCompressor, osmium::io::Bzip2Compressor, and osmium::io::GzipCompressor.

bool osmium::io::Compressor::do_fsync | ( |  | ) | const

inline protected

virtual void osmium::io::Compressor::write | ( | const std::string & | data | ) |

pure virtual

Implemented in osmium::io::NoCompressor, osmium::io::Bzip2Compressor, and osmium::io::GzipCompressor.

## Member Data Documentation

fsync osmium::io::Compressor::m_fsync

private

The documentation for this class was generated from the following file:

- osmium/io/compression.hpp